Skip to content
Start here

List rate limits

GET/zones/{zone_id}/rate_limits

Deprecated: This endpoint returns 410 Gone. Please use the Rulesets API instead.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Firewall Services WriteFirewall Services Read
Path ParametersExpand Collapse
zone_id: string

Defines an identifier.

maxLength32
Query ParametersExpand Collapse
page: optional number

Defines the page number of paginated results.

minimum1
per_page: optional number

Defines the maximum number of results per page. You can only set the value to 1 or to a multiple of 5 such as 5, 10, 15, or 20.

maximum1000
minimum1

List rate limits

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/rate_limits \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
Returns Examples